#!/bin/bash

thrift --gen cpp AddrBook.thrift

cd gen-cpp/

g++ -Wall -c AddrBook_constants.cpp
g++ -Wall -c AddrBook_types.cpp
g++ -Wall -c AddrBook.cpp

g++ -Wall -c AddrBook_server.cpp
g++ -Wall -c AddrBook_client.cpp

g++ -Wall -o server AddrBook_constants.o AddrBook.o AddrBook_types.o AddrBook_server.o -L/usr/local/lib -lthrift
g++ -Wall -o client AddrBook_constants.o AddrBook.o AddrBook_types.o AddrBook_client.o -L/usr/local/lib -lthrift
